cURL
curl --request GET \ --url https://api.maildiver.com/v1/executions/{id} \ --header 'Authorization: Bearer <token>'
{ "execution_id": "0195c9e3-5067-741d-be87-a4f75ef93372", "workflow_id": "0199f234-d327-7cd8-9dc5-4fd8e5e249df", "workspace_id": "0195a927-b706-725a-94dd-372770d920f2", "version_used": 1, "status": "COMPLETED", "current_step_id": "step_send_email", "context": { "email": "user@example.com", "stepCount": 3 }, "created_at": 1742843423033, "updated_at": 1742843424100, "completed_at": 1742843424147, "error": null, "cancellation_reason": null, "wait_until": null, "schedule_name": "schedule-0195c9e3-5067-741d-be87-a4f75ef93372" }
Endpoint: v1/executions/{id}
v1/executions/{id}
Retrieve details of a specific workflow execution including its current state and context.
API key with format "Bearer {your-api-key}"
Unique identifier of the execution
OK
Was this page helpful?